GET private-location/{geoloc}/private-agents
Lists all private agents for a specified private location.
URL Parameters
| Name | Description |
|---|---|
| geoloc | The geolocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoloc.Request example
curl --request GET "https://api-asm2.apica.io/v3/private-location/{geoloc}/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "3c4f5b77-da93-4432-a27c-c8751ec2fdd2",
"agent_name": "sample string 2",
"customer_guid": "ef1766dd-72b4-4a5c-87ba-462310785c01",
"geoloc": "sample string 4",
"created_utc": "2026-03-02T02:23:15",
"last_updated_utc": "2026-03-02T02:23:15",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-03-02T02:23:15",
"certificate_valid_till_utc": "2026-03-02T02:23:15",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "4d53cd7a-9187-40d8-b663-852e01226e1d",
"agent_name": "sample string 2",
"customer_guid": "35e55cc6-b0ff-47ca-8c70-686c64ab9f48",
"geoloc": "sample string 4",
"created_utc": "2026-03-02T02:23:15",
"last_updated_utc": "2026-03-02T02:23:15",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-03-02T02:23:15",
"certificate_valid_till_utc": "2026-03-02T02:23:15",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "3ba0bb09-cdd3-40cc-88a8-df824b3df4f2",
"agent_name": "sample string 2",
"customer_guid": "ba5c85dd-a536-44f8-a8a0-a14838f0f97c",
"geoloc": "sample string 4",
"created_utc": "2026-03-02T02:23:15",
"last_updated_utc": "2026-03-02T02:23:15",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-03-02T02:23:15",
"certificate_valid_till_utc": "2026-03-02T02:23:15",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |